Bug 1203474 - openshift crashes on i686 Intel NUC platform running Fedora 21
Summary: openshift crashes on i686 Intel NUC platform running Fedora 21
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 00:01 UTC by Scott M Stark
Modified: 2017-05-31 18:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
dmesg output (80.88 KB, text/plain)
2015-03-19 00:01 UTC, Scott M Stark
no flags Details
docker-io-1.5.0-1.fc20.src.rpm (6.18 MB, application/x-rpm)
2015-03-19 00:02 UTC, Scott M Stark
no flags Details

Description Scott M Stark 2015-03-19 00:01:55 UTC
Created attachment 1003521 [details]
dmesg output

Description of problem:
I'm looking at getting openshift running on an Intel NUC hardware platform running Fedora 21 as a POC for using openshift on the NUC as the controller for a cloud of raspberry pi2's. I had to build docker from the docker-io-1.5.0-1.fc20.src.rpm and change the ExclusiveArch: x86_64 to i686:

[root@nuc-room204 origin]# grep -2 Arch ~/rpmbuild/SPECS/docker-io.spec 
URL:        http://www.docker.com
# only x86_64 for now: https://github.com/docker/docker/issues/136
ExclusiveArch:  i686

The nature of the crash does not lead me to believe this hack is the problem, but I could be wrong.

Version-Release number of selected component (if applicable):
Current git trunk

How reproducible:


Steps to Reproduce:
1. Install the attached docker-io-1.5.0-1.fc20.src.rpm by running:
   rpbuild --rebuild docker-io-1.5.0-1.fc20.src.rpm
2. This fails with an 'error: Architecture is not included: i686'
3. Edit the rpmbuild/SPECS/docker-io.spec created by 1, and change:
ExclusiveArch:  x86_64
to:
ExclusiveArch:  i686

4. Build using rpmbuild -ba rpmbuild/SPECS/docker-io.spec 
5. git clone https://github.com/openshift/origin.git
6. cd origin
7. make build
8. _output/local/go/bin/openshift start

Actual results:
[root@nuc-room204 origin]# _output/local/go/bin/openshift start
I0318 16:55:57.131415    7763 start_allinone.go:171] Starting an OpenShift all-in-one
I0318 16:56:18.546666    7763 start_master.go:310] Starting an OpenShift master, reachable at 0.0.0.0:8443 (etcd: http://192.168.1.24:4001)
I0318 16:56:18.546730    7763 start_master.go:311] OpenShift master public address is https://192.168.1.24:8443
I0318 16:56:18.546827    7763 etcd.go:37] Started etcd at 192.168.1.24:4001
[etcd] Mar 18 16:56:18.555 INFO      | Peer URLs in log:  / openshift.local (http://127.0.0.1:7001)
[etcd] Mar 18 16:56:18.558 INFO      | etcd server [name openshift.local, listen on 0.0.0.0:4001, advertised url http://192.168.1.24:4001]
[etcd] Mar 18 16:56:18.559 INFO      | peer server [name openshift.local, listen on 0.0.0.0:7001, advertised url http://127.0.0.1:7001]
[etcd] Mar 18 16:56:18.559 INFO      | openshift.local starting in peer mode
[etcd] Mar 18 16:56:18.559 INFO      | openshift.local: state changed from 'initialized' to 'follower'.
[etcd] Mar 18 16:56:18.862 INFO      | openshift.local: state changed from 'follower' to 'candidate'.
[etcd] Mar 18 16:56:18.863 INFO      | openshift.local: state changed from 'candidate' to 'leader'.
[etcd] Mar 18 16:56:18.864 INFO      | openshift.local: leader changed from '' to 'openshift.local'.
2015/03/18 16:56:22 http: panic serving 192.168.1.24:50686: runtime error: invalid memory address or nil pointer dereference
goroutine 53 [running]:
net/http.func·011()
	/usr/lib/golang/src/pkg/net/http/server.go:1100 +0xb1
runtime.panic(0x8ba9980, 0x9cd1753)
	/usr/lib/golang/src/pkg/runtime/panic.c:248 +0x176
sync/atomic.AddUint64(0x9788a12c, 0x1, 0x0, 0x862508f8, 0x9848fe0)
	/usr/lib/golang/src/pkg/sync/atomic/asm_386.s:118 +0xc
github.com/coreos/etcd/store.(*watcherHub).watch(0x9788a120, 0x97932210, 0x25, 0x1, 0x12, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/watcher_hub.go:89 +0x307
github.com/coreos/etcd/store.(*store).Watch(0x978c3300, 0x97932210, 0x25, 0x1, 0x12, 0x0, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/store.go:366 +0x221
github.com/coreos/etcd/server/v2.handleWatch(0x977effb0, 0x25, 0x8c60001, 0x9778d645, 0x2, 0x8747d9b0, 0x9778d650, 0x9778c770, 0x8747d9e8, 0x97702750, ...)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:62 +0x265
github.com/coreos/etcd/server/v2.GetHandler(0x8747d9b0, 0x9778d650, 0x9778c770, 0x8747d9e8, 0x97702750, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:44 +0x3b6
github.com/coreos/etcd/server.func·004(0x8747d9b0, 0x9778d650, 0x9778c770, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:163 +0x83
github.com/coreos/etcd/server.func·005(0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:188 +0x24c
net/http.HandlerFunc.ServeHTTP(0x97861440, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/usr/lib/golang/src/pkg/net/http/server.go:1235 +0x41
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x97703530, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*LowerQueryParamsHandler).ServeHTTP(0x9789e1c8, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/query_params.go:21 +0x85
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x977028d0, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*CORSHandler).ServeHTTP(0x977e2e80, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/cors.go:78 +0x1d9
github.com/coreos/etcd/etcd.(*ModeHandler).ServeHTTP(0x977e5de0, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/etcd/etcd.go:405 +0x84
net/http.serverHandler.ServeHTTP(0x977728c0, 0x8747d9b0, 0x9778d650, 0x9778c770)
	/usr/lib/golang/src/pkg/net/http/server.go:1673 +0x155
net/http.(*conn).serve(0x9776c7d0)
	/usr/lib/golang/src/pkg/net/http/server.go:1174 +0x8c6
created by net/http.(*Server).Serve
	/usr/lib/golang/src/pkg/net/http/server.go:1721 +0x2be
2015/03/18 16:56:22 http: panic serving 192.168.1.24:50688: runtime error: invalid memory address or nil pointer dereference
goroutine 66 [running]:
net/http.func·011()
	/usr/lib/golang/src/pkg/net/http/server.go:1100 +0xb1
runtime.panic(0x8ba9980, 0x9cd1753)
	/usr/lib/golang/src/pkg/runtime/panic.c:248 +0x176
sync/atomic.AddUint64(0x9788a12c, 0x1, 0x0, 0x862828f8, 0x9848fe0)
	/usr/lib/golang/src/pkg/sync/atomic/asm_386.s:118 +0xc
github.com/coreos/etcd/store.(*watcherHub).watch(0x9788a120, 0x97936da0, 0x1e, 0x1, 0x12, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/watcher_hub.go:89 +0x307
github.com/coreos/etcd/store.(*store).Watch(0x978c3300, 0x97936da0, 0x1e, 0x1, 0x12, 0x0, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/store.go:366 +0x221
github.com/coreos/etcd/server/v2.handleWatch(0x97936cc0, 0x1e, 0x8c60001, 0x9778d78e, 0x2, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0, 0x8747d9e8, 0x97702750, ...)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:62 +0x265
github.com/coreos/etcd/server/v2.GetHandler(0x8747d9b0, 0x9778d7a0, 0x9778c9a0, 0x8747d9e8, 0x97702750, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:44 +0x3b6
github.com/coreos/etcd/server.func·004(0x8747d9b0, 0x9778d7a0, 0x9778c9a0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:163 +0x83
github.com/coreos/etcd/server.func·005(0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:188 +0x24c
net/http.HandlerFunc.ServeHTTP(0x97861440, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/usr/lib/golang/src/pkg/net/http/server.go:1235 +0x41
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x97703530, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*LowerQueryParamsHandler).ServeHTTP(0x9789e1c8, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/query_params.go:21 +0x85
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x977028d0, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*CORSHandler).ServeHTTP(0x977e2e80, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/cors.go:78 +0x1d9
github.com/coreos/etcd/etcd.(*ModeHandler).ServeHTTP(0x977e5de0, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/etcd/etcd.go:405 +0x84
net/http.serverHandler.ServeHTTP(0x977728c0, 0x8747d9b0, 0x9778d7a0, 0x9778c9a0)
	/usr/lib/golang/src/pkg/net/http/server.go:1673 +0x155
net/http.(*conn).serve(0x97872410)
	/usr/lib/golang/src/pkg/net/http/server.go:1174 +0x8c6
created by net/http.(*Server).Serve
	/usr/lib/golang/src/pkg/net/http/server.go:1721 +0x2be
I0318 16:56:22.679578    7763 start_master.go:350] Static Nodes: [nuc-room204]
E0318 16:56:22.680812    7763 reflector.go:118] watch of *api.Policy ended with error: 501: All the given peers are not reachable (Tried to connect to each peer twice and failed) [0]
E0318 16:56:22.680884    7763 reflector.go:118] watch of *api.PolicyBinding ended with error: 501: All the given peers are not reachable (Tried to connect to each peer twice and failed) [0]
I0318 16:56:22.681127    7763 master.go:277] Setting master service IPs based on PortalNet subnet to "172.30.17.1" (read-only) and "172.30.17.2" (read-write).
2015/03/18 16:56:22 [restful/swagger] listing is available at /swaggerapi/
2015/03/18 16:56:22 [restful/swagger] Swagger(File)Path is empty ; no UI is served
I0318 16:56:22.842303    7763 master.go:385] Started Kubernetes API at 0.0.0.0:8443/api/v1beta1
I0318 16:56:22.842348    7763 master.go:385] Started Kubernetes API at 0.0.0.0:8443/api/v1beta2
I0318 16:56:22.842377    7763 master.go:385] Started Kubernetes API at 0.0.0.0:8443/api/v1beta3 (experimental)
I0318 16:56:22.842403    7763 master.go:385] Started OpenShift API at 0.0.0.0:8443/osapi/v1beta1
I0318 16:56:22.842430    7763 master.go:385] Started OAuth2 API at 0.0.0.0:8443/oauth
I0318 16:56:22.842457    7763 master.go:385] Started login server at 0.0.0.0:8443/login
I0318 16:56:22.842513    7763 master.go:385] Started Swagger Schema API at 0.0.0.0:8443/swaggerapi/
2015/03/18 16:56:23 http: panic serving 192.168.1.24:50699: runtime error: invalid memory address or nil pointer dereference
goroutine 107 [running]:
net/http.func·011()
	/usr/lib/golang/src/pkg/net/http/server.go:1100 +0xb1
runtime.panic(0x8ba9980, 0x9cd1753)
	/usr/lib/golang/src/pkg/runtime/panic.c:248 +0x176
sync/atomic.AddUint64(0x9788a12c, 0x1, 0x0, 0x97d2d140, 0x9778d710)
	/usr/lib/golang/src/pkg/sync/atomic/asm_386.s:118 +0xc
github.com/coreos/etcd/store.(*watcherHub).watch(0x9788a120, 0x97d2d0e0, 0x1e, 0x1, 0x18, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/watcher_hub.go:89 +0x307
github.com/coreos/etcd/store.(*store).Watch(0x978c3300, 0x97d2d0e0, 0x1e, 0x1, 0x18, 0x0, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/store.go:366 +0x221
github.com/coreos/etcd/server/v2.handleWatch(0x97d2d020, 0x1e, 0x8c60001, 0x979f516e, 0x2, 0x8747d9b0, 0x979f5180, 0x979f4000, 0x8747d9e8, 0x97702750, ...)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:62 +0x265
github.com/coreos/etcd/server/v2.GetHandler(0x8747d9b0, 0x979f5180, 0x979f4000, 0x8747d9e8, 0x97702750, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:44 +0x3b6
github.com/coreos/etcd/server.func·004(0x8747d9b0, 0x979f5180, 0x979f4000, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:163 +0x83
github.com/coreos/etcd/server.func·005(0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:188 +0x24c
net/http.HandlerFunc.ServeHTTP(0x97861440, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/usr/lib/golang/src/pkg/net/http/server.go:1235 +0x41
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x97703530, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*LowerQueryParamsHandler).ServeHTTP(0x9789e1c8, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/query_params.go:21 +0x85
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x977028d0, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*CORSHandler).ServeHTTP(0x977e2e80, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/cors.go:78 +0x1d9
github.com/coreos/etcd/etcd.(*ModeHandler).ServeHTTP(0x977e5de0, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/etcd/etcd.go:405 +0x84
net/http.serverHandler.ServeHTTP(0x977728c0, 0x8747d9b0, 0x979f5180, 0x979f4000)
	/usr/lib/golang/src/pkg/net/http/server.go:1673 +0x155
net/http.(*conn).serve(0x97c46370)
	/usr/lib/golang/src/pkg/net/http/server.go:1174 +0x8c6
created by net/http.(*Server).Serve
	/usr/lib/golang/src/pkg/net/http/server.go:1721 +0x2be
2015/03/18 16:56:23 http: panic serving 192.168.1.24:50698: runtime error: invalid memory address or nil pointer dereference
goroutine 106 [running]:
net/http.func·011()
	/usr/lib/golang/src/pkg/net/http/server.go:1100 +0xb1
runtime.panic(0x8ba9980, 0x9cd1753)
	/usr/lib/golang/src/pkg/runtime/panic.c:248 +0x176
sync/atomic.AddUint64(0x9788a12c, 0x1, 0x0, 0x97d2d300, 0x9778d70c)
	/usr/lib/golang/src/pkg/sync/atomic/asm_386.s:118 +0xc
github.com/coreos/etcd/store.(*watcherHub).watch(0x9788a120, 0x97c24c00, 0x25, 0x1, 0x18, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/watcher_hub.go:89 +0x307
github.com/coreos/etcd/store.(*store).Watch(0x978c3300, 0x97c24c00, 0x25, 0x1, 0x18, 0x0, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/store.go:366 +0x221
github.com/coreos/etcd/server/v2.handleWatch(0x97c24b40, 0x25, 0x8c60001, 0x979f52c5, 0x2, 0x8747d9b0, 0x979f53b0, 0x97d07b20, 0x8747d9e8, 0x97702750, ...)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:62 +0x265
github.com/coreos/etcd/server/v2.GetHandler(0x8747d9b0, 0x979f53b0, 0x97d07b20, 0x8747d9e8, 0x97702750, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:44 +0x3b6
github.com/coreos/etcd/server.func·004(0x8747d9b0, 0x979f53b0, 0x97d07b20, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:163 +0x83
github.com/coreos/etcd/server.func·005(0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:188 +0x24c
net/http.HandlerFunc.ServeHTTP(0x97861440, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/usr/lib/golang/src/pkg/net/http/server.go:1235 +0x41
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x97703530, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*LowerQueryParamsHandler).ServeHTTP(0x9789e1c8, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/query_params.go:21 +0x85
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x977028d0, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*CORSHandler).ServeHTTP(0x977e2e80, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/cors.go:78 +0x1d9
github.com/coreos/etcd/etcd.(*ModeHandler).ServeHTTP(0x977e5de0, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/etcd/etcd.go:405 +0x84
net/http.serverHandler.ServeHTTP(0x977728c0, 0x8747d9b0, 0x979f53b0, 0x97d07b20)
	/usr/lib/golang/src/pkg/net/http/server.go:1673 +0x155
net/http.(*conn).serve(0x97c46320)
	/usr/lib/golang/src/pkg/net/http/server.go:1174 +0x8c6
created by net/http.(*Server).Serve
	/usr/lib/golang/src/pkg/net/http/server.go:1721 +0x2be
E0318 16:56:23.862465    7763 reflector.go:118] watch of *api.PolicyBinding ended with error: 501: All the given peers are not reachable (Tried to connect to each peer twice and failed) [0]
E0318 16:56:23.862530    7763 reflector.go:118] watch of *api.Policy ended with error: 501: All the given peers are not reachable (Tried to connect to each peer twice and failed) [0]
2015/03/18 16:56:24 http: TLS handshake error from 127.0.0.1:50880: read tcp 127.0.0.1:50880: connection reset by peer
E0318 16:56:24.851130    7763 master.go:431] Error creating namespace: &{{ } {master    628caeb1-cdca-11e4-b2f7-c03fd56cd5bb  2015-03-18 16:56:24.843228791 -0700 PDT map[] map[]} {} {}} due to request [&{Method:POST URL:https://192.168.1.24:8443/api/v1beta1/namespaces Proto:HTTP/1.1 ProtoMajor:1 ProtoMinor:1 Header:map[] Body:{Reader:} ContentLength:172 TransferEncoding:[] Close:false Host:192.168.1.24:8443 Form:map[] PostForm:map[] MultipartForm:<nil> Trailer:map[] RemoteAddr: RequestURI: TLS:<nil>}] failed (403) 403 Forbidden: Forbidden: "/api/v1beta1/namespaces" system:kube-client cannot create on namespaces in 
I0318 16:56:24.851406    7763 master.go:108] Started Kubernetes Scheduler
I0318 16:56:24.851453    7763 master.go:88] Started Kubernetes Replication Manager
I0318 16:56:24.851502    7763 master.go:96] Started Kubernetes Endpoint Controller
E0318 16:56:25.469862    7763 reflector.go:85] Failed to list *api.Pod: request [&{Method:GET URL:https://192.168.1.24:8443/api/v1beta1/pods?fields=DesiredState.Host%3D&namespace= Proto:HTTP/1.1 ProtoMajor:1 ProtoMinor:1 Header:map[] Body:<nil> ContentLength:0 TransferEncoding:[] Close:false Host:192.168.1.24:8443 Form:map[] PostForm:map[] MultipartForm:<nil> Trailer:map[] RemoteAddr: RequestURI: TLS:<nil>}] failed (403) 403 Forbidden: Forbidden: "/api/v1beta1/pods?fields=DesiredState.Host%3D&namespace=" system:kube-client cannot list on pods in 
2015/03/18 16:56:25 http: panic serving 192.168.1.24:50706: runtime error: invalid memory address or nil pointer dereference
goroutine 128 [running]:
net/http.func·011()
	/usr/lib/golang/src/pkg/net/http/server.go:1100 +0xb1
runtime.panic(0x8ba9980, 0x9cd1753)
	/usr/lib/golang/src/pkg/runtime/panic.c:248 +0x176
sync/atomic.AddUint64(0x9788a12c, 0x1, 0x0, 0x97cbc4e0, 0x9778d70c)
	/usr/lib/golang/src/pkg/sync/atomic/asm_386.s:118 +0xc
github.com/coreos/etcd/store.(*watcherHub).watch(0x9788a120, 0x97b85a10, 0x25, 0x1, 0x18, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/watcher_hub.go:89 +0x307
github.com/coreos/etcd/store.(*store).Watch(0x978c3300, 0x97b85a10, 0x25, 0x1, 0x18, 0x0, 0x0, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/store/store.go:366 +0x221
github.com/coreos/etcd/server/v2.handleWatch(0x97b85950, 0x25, 0x8c60001, 0x9785a845, 0x2, 0x8747d9b0, 0x9785a850, 0x980b7e30, 0x8747d9e8, 0x97702750, ...)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:62 +0x265
github.com/coreos/etcd/server/v2.GetHandler(0x8747d9b0, 0x9785a850, 0x980b7e30, 0x8747d9e8, 0x97702750, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/v2/get_handler.go:44 +0x3b6
github.com/coreos/etcd/server.func·004(0x8747d9b0, 0x9785a850, 0x980b7e30, 0x0, 0x0)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:163 +0x83
github.com/coreos/etcd/server.func·005(0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/server/server.go:188 +0x24c
net/http.HandlerFunc.ServeHTTP(0x97861440, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/usr/lib/golang/src/pkg/net/http/server.go:1235 +0x41
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x97703530, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*LowerQueryParamsHandler).ServeHTTP(0x9789e1c8, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/query_params.go:21 +0x85
github.com/coreos/etcd/third_party/github.com/gorilla/mux.(*Router).ServeHTTP(0x977028d0, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/third_party/github.com/gorilla/mux/mux.go:98 +0x22d
github.com/coreos/etcd/http.(*CORSHandler).ServeHTTP(0x977e2e80, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/http/cors.go:78 +0x1d9
github.com/coreos/etcd/etcd.(*ModeHandler).ServeHTTP(0x977e5de0, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/root/OpenShift/origin/Godeps/_workspace/src/github.com/coreos/etcd/etcd/etcd.go:405 +0x84
net/http.serverHandler.ServeHTTP(0x977728c0, 0x8747d9b0, 0x9785a850, 0x980b7e30)
	/usr/lib/golang/src/pkg/net/http/server.go:1673 +0x155
net/http.(*conn).serve(0x979c0b40)
	/usr/lib/golang/src/pkg/net/http/server.go:1174 +0x8c6
created by net/http.(*Server).Serve
	/usr/lib/golang/src/pkg/net/http/server.go:1721 +0x2be
E0318 16:56:25.530417    7763 nodecontroller.go:247] Can't get ip address of node nuc-room204: lookup nuc-room204: no such host
...

Expected results:
That openshift starts and has an accessible console

Additional info:

[root@nuc-room204 origin]# uname -a
Linux nuc-room204 3.18.3-201.fc21.i686+PAE #1 SMP Mon Jan 19 16:09:58 UTC 2015 i686 i686 i386 GNU/Linux
[root@nuc-room204 origin]# cat /etc/fedora-release 
Fedora release 21 (Twenty One)
[root@nuc-room204 origin]# rpm -qi golang
Name        : golang
Version     : 1.3.3
Release     : 1.fc21
Architecture: i686
Install Date: Wed 18 Mar 2015 02:54:01 PM PDT
Group       : Unspecified
Size        : 10615709
License     : BSD
Signature   : RSA/SHA256, Fri 31 Oct 2014 07:47:42 PM PDT, Key ID 89ad4e8795a43f54
Source RPM  : golang-1.3.3-1.fc21.src.rpm
Build Date  : Wed 01 Oct 2014 09:13:41 AM PDT
Build Host  : buildhw-11.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://golang.org/
Summary     : The Go Programming Language
Description :
The Go Programming Language.

Comment 1 Scott M Stark 2015-03-19 00:02:55 UTC
Created attachment 1003522 [details]
docker-io-1.5.0-1.fc20.src.rpm

Comment 2 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.